Bug 146071 - [UPDATE] sysutils/geomWatch to 1.2.0
Summary: [UPDATE] sysutils/geomWatch to 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-26 22:10 UTC by Boris Kochergin
Modified: 2010-05-03 03:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.96 KB, patch)
2010-04-26 22:10 UTC, Boris Kochergin
no flags Details | Diff
geomWatch.diff (3.81 KB, patch)
2010-05-02 22:48 UTC, Sahil Tandon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Kochergin 2010-04-26 22:10:02 UTC
New features:

- Added support for monitoring ZFS pools.

Bug fixes:

- Comments in the configuration file can now contain double quotes.

- The current working directory is now changed to "/" before becoming a background daemon.

- The standard input and standard output file descriptors are now closed before becoming a background daemon, as they are no longed needed at that point. Standard error is still useful for collecting SMTP error messages.

Port changes:

- Modified Makefile COMMENT and pkg-descr to reflect ZFS functionality.

- Whitespace fix in files/pkg-message.in (to committer: could you please add a newline at the end of files/pkg-message.in? diff eats it. Thanks).

Fix: Patch attached with submission follows:
Comment 1 Sahil Tandon freebsd_committer 2010-04-27 00:15:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

I'll take it.
Comment 2 Sahil Tandon freebsd_committer 2010-05-02 22:48:24 UTC
Boris,

Please see attached diff.  Do you approve my slight adjustments?  And
would you also consider handling the installation of configuration files
thusly:

http://www.freebsd.org/doc/en/books/porters-handbook/book.html#PLIST-CONFIG

Thanks,
-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 3 Boris Kochergin 2010-05-03 00:22:31 UTC
Hi. The adjustments look fine. I will also be sure to handle 
configuration file installation the way you recommend in the next port 
update. Thank you.

-Boris
Comment 4 dfilter service freebsd_committer 2010-05-03 03:49:15 UTC
sahil       2010-05-03 02:48:55 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/geomWatch   Makefile distinfo pkg-descr 
    sysutils/geomWatch/files pkg-message.in 
  Log:
  - Update to 1.2.0
  - Note new functionality in COMMENT
  - USE_RC_SUBR instead of manually installing rc script
  - Use ${PORTNAME} where possible
  
  PR:             ports/146071
  Submitted by:   Boris Kochergin <spawk@acm.poly.edu> (maintainer)
  Approved by:    wxs@ (mentor)
  
  Revision  Changes    Path
  1.6       +9 -9      ports/sysutils/geomWatch/Makefile
  1.5       +3 -3      ports/sysutils/geomWatch/distinfo
  1.3       +2 -2      ports/sysutils/geomWatch/files/pkg-message.in
  1.2       +6 -6      ports/sysutils/geomWatch/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Sahil Tandon freebsd_committer 2010-05-03 03:50:28 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!